[Install]
model = Panasonic DP-190
Network = 1
USB = 1
Parallel = 0

[PrinterVersion]
2K=CEMD2K.VER
AMD64=CEMD36.VER

[Main]
ModelName=DP-190 PCL6
SeriesName=Panasonic WORKiO DP-190 Series
NumDrivers=1
Driver1=PrinterDriver1
HarwareID=USBPRINT\PanasonicDP-190B29B
;OEMURL=
USBID=VID_04DA&PID_2F04
USBPRINT=PanasonicDP-190
LPTPRINT=PanasonicDP-190B29B

;***********************************************************************
;DP-190 PCL6
;***********************************************************************
[PrinterDriver1]
PrinterDriverName=Panasonic DP-190 Ver. 2 PCL6
;LanguageMonitorName=
;PortMonitorName=RPT Network Printer Port
DefaultPrinter=no
SupportOS=2000,AMD64
DefaultSharedName=DP190PCL6

;***********************************************************************
;DP-190 PCL6 2K
;***********************************************************************
[PrinterDriver1.2000.Install]
DataType=RAW
Driver=C0MDGC2K.DLL
ConfigurationFile=C0MDUC2K.DLL
DataFile=CEMD.spc
DependentFiles=C0MDDI32.dll,C0MDEM.DLL,C0MDEM.EXE,C0MDGC2K.dll,C0MDPRDF.DAT,C0MDPRO.DAT,C0MDRC32.DLL,C0MDSP.DLL,C0MDUC2K.dll,C0MDUI2K.DLL,C0ZDWJ.INI,ZAZDAC32.dll,ZAZDDC32.dll,ZAZDDF32.EXE,ZAZDDM32.dll,ZAZDHL.chm,ZAZDIW32.exe,ZAZDPC32.dll,ZAZDWJ32.dll,ZAZDWM.PWM,CEMD.spc,CEMD2K.VER
HelpFile=ZAZDHL.CHM
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=STUP190.INF
BiDirectional=Always

[PrinterDriver1.2000.Uninstall]
DeleteFile001=C0MDDI32.dll,WINPRNDRV,NOT_SHARED
DeleteFile002=C0MDEM.DLL,WINPRNDRV,NOT_SHARED
DeleteFile003=C0MDEM.EXE,WINPRNDRV,NOT_SHARED
DeleteFile004=C0MDGC2K.dll,WINPRNDRV,NOT_SHARED
DeleteFile005=C0MDPRDF.DAT,WINPRNDRV,NOT_SHARED
DeleteFile006=C0MDPRO.DAT,WINPRNDRV,NOT_SHARED
DeleteFile007=C0MDRC32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile008=C0MDSP.DLL,WINPRNDRV,NOT_SHARED
DeleteFile009=C0MDUC2K.dll,WINPRNDRV,NOT_SHARED
DeleteFile010=C0MDUI2K.DLL,WINPRNDRV,NOT_SHARED
DeleteFile011=C0ZDWJ.INI,WINPRNDRV,NOT_SHARED
DeleteFile012=ZAZDAC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile013=ZAZDDC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile014=ZAZDDF32.EXE,WINPRNDRV,NOT_SHARED
DeleteFile015=ZAZDDM32.dll,WINPRNDRV,NOT_SHARED
DeleteFile016=ZAZDHL.chm,WINPRNDRV,NOT_SHARED
DeleteFile017=ZAZDIW32.exe,WINPRNDRV,NOT_SHARED
DeleteFile018=ZAZDPC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile019=ZAZDWJ32.dll,WINPRNDRV,NOT_SHARED
DeleteFile020=ZAZDWM.PWM,WINPRNDRV,NOT_SHARED
DeleteFile021=CEMD.spc,WINPRNDRV,NOT_SHARED
DeleteFile022=CEMD2K.VER,WINPRNDRV,NOT_SHARED
DeleteFile023=STUP190.INF,WININF_OTHER,NOT_SHARED
DeleteFile024=C0MDDI32.dll,WINPRNDRV3,SHARED
DeleteFile025=C0MDEM.DLL,WINPRNDRV3,SHARED
DeleteFile026=C0MDEM.EXE,WINPRNDRV3,SHARED
DeleteFile027=C0MDGC2K.dll,WINPRNDRV3,SHARED
DeleteFile028=C0MDPRDF.DAT,WINPRNDRV3,SHARED
DeleteFile029=C0MDPRO.DAT,WINPRNDRV3,SHARED
DeleteFile030=C0MDRC32.DLL,WINPRNDRV3,SHARED
DeleteFile031=C0MDSP.DLL,WINPRNDRV3,SHARED
DeleteFile032=C0MDUC2K.dll,WINPRNDRV3,SHARED
DeleteFile033=C0MDUI2K.DLL,WINPRNDRV3,SHARED
DeleteFile034=C0ZDWJ.INI,WINPRNDRV3,SHARED
DeleteFile035=ZAZDAC32.dll,WINPRNDRV3,SHARED
DeleteFile036=ZAZDDC32.dll,WINPRNDRV3,SHARED
DeleteFile037=ZAZDDF32.EXE,WINPRNDRV3,SHARED
DeleteFile038=ZAZDDM32.dll,WINPRNDRV3,SHARED
DeleteFile039=ZAZDHL.chm,WINPRNDRV3,SHARED
DeleteFile040=ZAZDIW32.exe,WINPRNDRV3,SHARED
DeleteFile041=ZAZDPC32.dll,WINPRNDRV3,SHARED
DeleteFile042=ZAZDWJ32.dll,WINPRNDRV3,SHARED
DeleteFile043=ZAZDWM.PWM,WINPRNDRV3,SHARED
DeleteFile044=CEMD.spc,WINPRNDRV3,NOT_SHARED
DeleteFile045=CEMD2K.VER,WINPRNDRV3,NOT_SHARED
DeleteFile046=STUP190.INF,WININF_OTHER,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-190 Ver. 2 PCL6

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicDP-190B29B,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_2F04,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,PanasonicDP-190,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-190 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-190 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-190 Ver. 2 PCL6,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic DP-190 Ver. 2 PCL6


;***********************************************************************
;DP-190 PCL6 AMD64
;***********************************************************************
[PrinterDriver1.AMD64.Install]
DataType=RAW
Driver=C0MDGC36.DLL
ConfigurationFile=C0MDUC36.DLL
DataFile=CEMD.SPC
DependentFiles=C0MDDIA6.DLL,C0MDEMA6.DLL,C0MDEMA6.EXE,C0MDGC36.DLL,C0MDPRDF.DAT,C0MDPRO.DAT,C0MDRCA6.DLL,C0MDSPA6.DLL,C0MDUC36.DLL,C0MDUI36.DLL,C0ZDWJ.INI,ZAZDACA6.DLL,ZAZDDCA6.DLL,ZAZDDFA6.EXE,ZAZDDMA6.DLL,ZAZDHL.chm,ZAZDIWA6.EXE,ZAZDPCA6.DLL,ZAZDWJA6.DLL,ZAZDWM.PWM,CEMD.SPC,CEMD36.VER
HelpFile=ZAZDHL.CHM
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=STUP190.INF
BiDirectional=Always

[PrinterDriver1.AMD64.Uninstall]
DeleteFile001=C0MDDIA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile002=C0MDEMA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile003=C0MDEMA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile004=C0MDGC36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile005=C0MDPRDF.DAT,WINPRNDRVX64,NOT_SHARED
DeleteFile006=C0MDPRO.DAT,WINPRNDRVX64,NOT_SHARED
DeleteFile007=C0MDRCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile008=C0MDSPA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile009=C0MDUC36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile010=C0MDUI36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile011=C0ZDWJ.INI,WINPRNDRVX64,NOT_SHARED
DeleteFile012=ZAZDACA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile013=ZAZDDCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile014=ZAZDDFA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile015=ZAZDDMA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile016=ZAZDHL.chm,WINPRNDRVX64,NOT_SHARED
DeleteFile017=ZAZDIWA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile018=ZAZDPCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile019=ZAZDWJA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile020=ZAZDWM.PWM,WINPRNDRVX64,NOT_SHARED
DeleteFile021=CEMD.SPC,WINPRNDRVX64,NOT_SHARED
DeleteFile022=CEMD36.VER,WINPRNDRVX64,NOT_SHARED
DeleteFile023=STUP190.INF,WININF_OTHER,NOT_SHARED
DeleteFile024=C0MDDIA6.DLL,WINPRNDRVX643,SHARED
DeleteFile025=C0MDEMA6.DLL,WINPRNDRVX643,SHARED
DeleteFile026=C0MDEMA6.EXE,WINPRNDRVX643,SHARED
DeleteFile027=C0MDGC36.DLL,WINPRNDRVX643,SHARED
DeleteFile028=C0MDPRDF.DAT,WINPRNDRVX643,SHARED
DeleteFile029=C0MDPRO.DAT,WINPRNDRVX643,SHARED
DeleteFile030=C0MDRCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile031=C0MDSPA6.DLL,WINPRNDRVX643,SHARED
DeleteFile032=C0MDUC36.DLL,WINPRNDRVX643,SHARED
DeleteFile033=C0MDUI36.DLL,WINPRNDRVX643,SHARED
DeleteFile034=C0ZDWJ.INI,WINPRNDRVX643,SHARED
DeleteFile035=ZAZDACA6.DLL,WINPRNDRVX643,SHARED
DeleteFile036=ZAZDDCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile037=ZAZDDFA6.EXE,WINPRNDRVX643,SHARED
DeleteFile038=ZAZDDMA6.DLL,WINPRNDRVX643,SHARED
DeleteFile039=ZAZDHL.chm,WINPRNDRVX643,SHARED
DeleteFile040=ZAZDIWA6.EXE,WINPRNDRVX643,SHARED
DeleteFile041=ZAZDPCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile042=ZAZDWJA6.DLL,WINPRNDRVX643,SHARED
DeleteFile043=ZAZDWM.PWM,WINPRNDRVX643,SHARED
DeleteFile044=CEMD.SPC,WINPRNDRVX643,NOT_SHARED
DeleteFile045=CEMD36.VER,WINPRNDRVX643,NOT_SHARED
DeleteFile046=STUP190.INF,WININF_OTHER,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-190 Ver. 2 PCL6

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicDP-190B29B,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_2F04,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,PanasonicDP-190,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-190 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-190 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-190 Ver. 2 PCL6,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic DP-190 Ver. 2 PCL6
